# pb_ds::detail::types_traits< Key, Mapped, Alloc, Store_Extra > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Key, typename Mapped, typename Alloc, bool Store_Extra>
struct pb_ds::detail::types_traits< Key, Mapped, Alloc, Store_Extra >

Definition at line 65 of file types_traits.hpp.

## Public Types

- typedef std::pair< size_type,
  size_type > comp_hash
- typedef key_allocator::const_pointer const_key_pointer
- typedef key_allocator::const_reference const_key_reference
- typedef Alloc::template rebind<
  Key >::other key_allocator
- typedef key_allocator::pointer key_pointer
- typedef key_allocator::reference key_reference
- typedef key_allocator::value_type key_type
- typedef Alloc::size_type size_type

## Public Attributes

- no_throw_copies< Key, Mapped
  >::indicator m_no_throw_copies_indicator
- integral_constant< int, Store_Extra > m_store_extra_indicator

The documentation for this struct was generated from the following file:

- types_traits.hpp